 <template>
  <div class="page">
      <v-layout row justify-center pt-5 class="signup" >
   <v-form ref="form">
    <v-card class="mx-auto" max-width="450" height="400" >
      <v-card-title class="justify-center">
        <span class="headline">SIGN UP</span>
      </v-card-title>
      
      <v-card-text>
        <v-layout wrap>
          <v-flex xs12 sm11>
            <v-text-field color="blue" icon="person" label="Username*" prepend-icon="person" v-model="id.username" :rules="inputRules"></v-text-field>
          </v-flex>
          <v-flex xs12 sm11>
            <v-text-field
              color="blue"
              icon="person"
              label="Password*"
              v-model="id.password"
              type="password"
              :rules="passwordRules"
              required
              prepend-icon="lock"
            ></v-text-field>
          </v-flex>
          <v-flex xs12 sm11>
            <v-text-field color="blue" icon="person" label="Confirm Password*" type="password" prepend-icon="sync" v-model="id.password2" :rules="[comparePasswords]"></v-text-field>
          </v-flex>
        </v-layout>
      </v-card-text>
      
      <v-card-actions class="justify-center">
        <v-btn outline color="#d50000" dark to="/Login">CANCEL</v-btn>
        <v-btn  color="#d50000" dark depressed  @click="signup">SIGN UP</v-btn>
      </v-card-actions>
    </v-card>
    </v-form>
      </v-layout>
  </div>
</template>

<script>
import swal from 'sweetalert'
import { METHODS } from "http"
export default {
  data() {
    return {
      id: { username: "", password: "" },
      inputRules: [
        v => v.length >= 3 || 'Username should be at least 3 characters'
      ],
      passwordRules: [
        v => v.length >= 6 || 'Password should be at least 6 characters'
      ],
      
    };
  },
  methods: {
    async signup() {
      if(this.$refs.form.validate()){
      console.log(this.id);
        try {
          this.axios
            .post("http://192.168.253.50:4000/user", this.id)
            .then(response => console.log(response));
        } catch (error) {
          console.log(error.message);
        } 
          swal({title:"Success!", text:"You have signed up successfully!", icon:"success", button: false, timer: 2000});
          this.$router.push("/Login")
      }    
    }
  },
  computed: {
      comparePasswords () {
        return this.id.password !== this.id.password2 ? 'Passwords do not match' : true
    }
  }
};
</script>

<style>
.page{
  background-image:url("http://i.imgur.com/Z6M8wO2.jpg") ;
  height: 100%;
  width: 100%;
  background-position:center;
   background-repeat:no-repeat;
   background-size:cover; 
}



</style>
